> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/cpu-optimization.md).

# CPU Optimization

## Get

> Retrieve Parallels RAS CPU Optimization Settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/CPUOptimizationSettings":{"get":{"tags":["2-Site settings//CPU Optimization"],"summary":"Get","description":"Retrieve Parallels RAS CPU Optimization Settings.","operationId":"e6491640-69cd-409f-bcde-1c6830412c8f","parameters":[{"name":"siteId","in":"query","description":"The Site ID for which to retrieve the Parallels RAS CPU Optimization settings. (optional)","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/CPUOptimizationSettings"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"CPUOptimizationSettings":{"type":"object","properties":{"enableCPUOptimization":{"type":"boolean","description":"<para type=\"description\">Whether the \"CPU Optimization\" option is enabled or disabled.</para>"},"startUsage":{"type":"integer","description":"<para type=\"description\">The CPU usage percentage above which the CPU Optimization will start working.</para>","format":"int32"},"criticalUsage":{"type":"integer","description":"<para type=\"description\">The CPU usage percentage above which a process will be set to idle priority.</para>","format":"int32"},"idleUsage":{"type":"integer","description":"<para type=\"description\">The CPU usage percentage below which a process will be set to realtime priority.</para>","format":"int32"},"replicate":{"type":"boolean","description":"<para type=\"description\">Whether the \"Replicate settings\" option (replicate settings to all sites) is enabled or disabled.</para>"},"cpuExcludeList":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">Specifies items in the CPUExclude list</para>","nullable":true},"siteId":{"type":"integer","description":"<para type=\"description\">The site ID to which the RAS CPU Optimization settings refer.</para>","format":"int32"}},"additionalProperties":false,"description":"<para type=\"synopsis\">RAS CPU Optimization Setting</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Update Parallels RAS CPU Optimization Settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/CPUOptimizationSettings":{"put":{"tags":["2-Site settings//CPU Optimization"],"summary":"Update","description":"Update Parallels RAS CPU Optimization Settings.","operationId":"1d9175e9-3da8-473a-8415-9031ae6baff4","parameters":[{"name":"siteId","in":"query","description":"The Site ID for which to modify the Parallels RAS CPU Optimization settings (optional).","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"CPU Optimization settings.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetCPUOptimizationSettings"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetCPUOptimizationSettings":{"type":"object","properties":{"cpuExcludeList":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">Specifies items in the CPUExclude list.</para>","nullable":true},"startUsage":{"type":"integer","description":"<para type=\"description\">The CPU usage percentage above which the CPU Optimization will start working.</para>","format":"int32","nullable":true},"criticalUsage":{"type":"integer","description":"<para type=\"description\">The CPU usage percentage above which a process will be set to idle priority.</para>","format":"int32","nullable":true},"idleUsage":{"type":"integer","description":"<para type=\"description\">The CPU usage percentage below which a process will be set to realtime priority.</para>","format":"int32","nullable":true},"enableCPUOptimization":{"type":"boolean","description":"<para type=\"description\">Enables or disables the \"CPU Optimization\" option.</para>","nullable":true},"replicate":{"type":"boolean","description":"<para type=\"description\">Enables or disables the \"Replicate settings\" option (replicate settings to all sites).</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Update CPU Optimization Settings</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/cpu-optimization.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
